(ns com.aurellem.gb-driver
  (:import com.aurellem.gb.Gb)
  (:import (java.nio IntBuffer ByteOrder)))


(defn init-vba []
  (Gb/loadVBA)
  (future
    (Gb/startEmulator "/home/r/proj/pokemon-escape/roms/yellow.gbc")))


(defn get-ram []
  (let [ram-store (int-array (Gb/getRAMSize))]
    (Gb/getRAM ram-store)
    ram-store))

